package com.gyee.wisdom.dao.sql.alarm.repository;
import com.gyee.wisdom.dao.sql.alarm.Entity.AlertsnapEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface AlertsnapRepository extends JpaRepository<AlertsnapEntity, Long>, JpaSpecificationExecutor {
    AlertsnapEntity findAllById(Long id);
    AlertsnapEntity findByWindturbineIdAndAlertValue(String windturbineId,int alertValue);
    AlertsnapEntity findByStationIdAndAlertValue(String stationId,int alertValue);
    AlertsnapEntity findByTestingpointKey(String testingpointkey);
}
